Package org.flowable.dmn.api

# Interface DmnRepositoryService

public interface DmnRepositoryService
Service providing access to the repository of decision(services) and deployments.

Author:
  Tijs Rademakers, Yvo Swillens

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `changeDeploymentParentDeploymentId(String deploymentId, String newParentDeploymentId)`
  Changes the parent deployment id of a deployment.
  `DmnDecisionQuery`
  `createDecisionQuery()`
  `DmnDeploymentBuilder`
  `createDeployment()`
  `DmnDeploymentQuery`
  `createDeploymentQuery()`
  `NativeDecisionQuery`
  `createNativeDecisionQuery()`
  `NativeDmnDeploymentQuery`
  `createNativeDeploymentQuery()`
  `void`
  `deleteDeployment(String deploymentId)`
  `DmnDecision`
  `getDecision(String decisionId)`
  `InputStream`
  `getDecisionRequirementsDiagram(String decisionId)`
  `List<String>`
  `getDeploymentResourceNames(String deploymentId)`
  `DmnDefinition`
  `getDmnDefinition(String decisionId)`
  `InputStream`
  `getDmnResource(String decisionId)`
  `InputStream`
  `getResourceAsStream(String deploymentId, String resourceName)`
  `void`
  `setDecisionCategory(String decisionId, String category)`
  `void`
  `setDeploymentCategory(String deploymentId, String category)`
  Changes the category of a deployment.
  `void`
  `setDeploymentTenantId(String deploymentId, String newTenantId)`
  Changes the tenant id of a deployment.

- ## Method Details

  - ### createDeployment

    DmnDeploymentBuilder createDeployment()

  - ### deleteDeployment

    void deleteDeployment(String deploymentId)

  - ### createDecisionQuery

    DmnDecisionQuery createDecisionQuery()

  - ### createNativeDecisionQuery

    NativeDecisionQuery createNativeDecisionQuery()

  - ### setDeploymentCategory

    void setDeploymentCategory(String deploymentId, String category)
    Changes the category of a deployment.
    Parameters:
      `deploymentId` - The id of the deployment of which the category will be changed.
      `category` - The new category.

  - ### setDeploymentTenantId

    void setDeploymentTenantId(String deploymentId, String newTenantId)
    Changes the tenant id of a deployment.
    Parameters:
      `deploymentId` - The id of the deployment of which the tenant identifier will be changed.
      `newTenantId` - The new tenant identifier.

  - ### changeDeploymentParentDeploymentId

    void changeDeploymentParentDeploymentId(String deploymentId, String newParentDeploymentId)
    Changes the parent deployment id of a deployment. This is used to move deployments to a different app deployment parent.
    Parameters:
      `deploymentId` - The id of the deployment of which the parent deployment identifier will be changed.
      `newParentDeploymentId` - The new parent deployment identifier.

  - ### getDeploymentResourceNames

    List<String> getDeploymentResourceNames(String deploymentId)

  - ### getResourceAsStream

    InputStream getResourceAsStream(String deploymentId, String resourceName)

  - ### createDeploymentQuery

    DmnDeploymentQuery createDeploymentQuery()

  - ### createNativeDeploymentQuery

    NativeDmnDeploymentQuery createNativeDeploymentQuery()

  - ### getDecision

    DmnDecision getDecision(String decisionId)

  - ### getDmnResource

    InputStream getDmnResource(String decisionId)

  - ### setDecisionCategory

    void setDecisionCategory(String decisionId, String category)

  - ### getDmnDefinition

    DmnDefinition getDmnDefinition(String decisionId)

  - ### getDecisionRequirementsDiagram

    InputStream getDecisionRequirementsDiagram(String decisionId)